Updates & Downloads


fleet 780/790 Help software version 2.20

as of January 9, 2018

Use Garmin Express to install this file.

(13.26 MB)

View system requirements

Notes:


Change History

Changes made from version 2.10 to 2.20:

System requirements

  1. IBM-compatible PC running Windows 2000 or later operating system and an available USB port.